# Mitarbeitende im Stapel aktualisieren

`PATCH https://{tenant}.stamp.eu/rest/employees/bulk`

Only fields present in the request are applied; all selected employees
receive the same values (e.g. unit move, export flag, salary types).

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `employee_ids` | string[] | ja |
| `fields` | object | ja |
| `fields.unit_id` | string \| null | nein |
| `fields.department_id` | string \| null | nein |
| `fields.cost_center_id` | string \| null | nein |
| `fields.location_id` | string \| null | nein |
| `fields.active` | boolean | nein |
| `fields.include_in_export` | boolean | nein |
| `fields.salary_type_work` | string \| null | nein |
| `fields.salary_type_overtime` | string \| null | nein |
| `fields.vacation_days` | number | nein |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `updated` | integer | ja |
| `skipped` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: An error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
